View Issue Details

IDProjectCategoryView StatusLast Update
00316712.x IDE BugsBuild UWPPublic2020-03-17 09:40
ReporterScott DunbarAssigned ToMike Rennie 
PriorityHighSeverityB - MajorReproducibility100%
Status AssignedResolutionOpen 
Product Version2.2.5 
Target VersionFixed in Version 
Summary0031671: Build UWP: Attempting to run UWP build on the local machine with Device Portal authentication enabled will fail
DescriptionIssue:
  Attempting to run UWP build on the local machine with Device Portal authentication enabled will fail


Steps To Reproduce1. Ensure Device Portal is set up, enable authentication and provide a username and password
2. Set up your target in GMS2 with correct details
3. Run any project for any UWP target
4. Observe failure:


Additional InformationUnable to decode the returned string from dpdeploy:System.Net.WebException: The underlying connection was closed: An unexpected error occurred on a receive. ---> System.IO.IOException: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. ---> System.Net.Sockets.SocketException: An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Receive(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetrievedStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at dpdeploy.Program.HttpGetExpect200(String _uri)



Error : Could not connect to device localhost:50443. Please follow the setup guide (http://help.yoyogames.com/hc/en-us/articles/115001100548) and try again.
Igor complete.
-----------------------------------------------------------------------------
System.Exception: Error connecting to device localhost:50443.
   at ..(String[] )
-------------------------
TagsNo tags attached.
2.x IDE Found In2.2.5.481
2.x Runtime Found In2.2.5.378
2.x IDE Verified In
2.x Runtime Verified In

Activities

Scott Dunbar

2020-03-16 10:03

Adminstrator  

DevicePortalAuth.txt (5,738 bytes)
"cmd"  /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE"

elapsed time 00:00:00.1260005s for command "cmd" /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE" started at 03/16/2020 09:59:02
"cmd"  /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2\GMS2TEMP"

elapsed time 00:00:00.1060017s for command "cmd" /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2\GMS2TEMP" started at 03/16/2020 09:59:02
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.5.378"

elapsed time 00:00:00.1169994s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.5.378" started at 03/16/2020 09:59:03
Saving project to: C:\Users\scott.dunbar\Documents\Projs\face\face.yyp
"C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.5.378/bin/Igor.exe"  -j=8 -options="C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- WinUWP Run

Loaded Macros from C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\face_4FDADB92\macros.json
Options: X:/bin\platform_setting_defaults.json
Options: C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2\qa_48\local_settings.json
Options: C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\face_4FDADB92\targetoptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="face" /td="Y:/" /cd="Z:/face_4FDADB92" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2\qa_48" /m=winUAP /tgt=35184372088832 /nodnd /cfg="default" /o="Y:/face_67371980_VM" /sh=True /optionsini="Y:/face_67371980_VM\options.ini"  /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\Projs\face\face.yyp" /preprocess="Z:/face_4FDADB92"
Reading project file....C:\Users\scott.dunbar\Documents\Projs\face
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\Projs\face\options\main\inherited\options_main.inherited.yy'
finished.


X://bin/GMAssetCompiler.exe DONE (0)
Release build
Options: Z:/face_4FDADB92\PlatformOptions.json
Options: Z:/face_4FDADB92\MainOptions.json
Unable to decode the returned string from dpdeploy:System.Net.WebException: The underlying connection was closed: An unexpected error occurred on a receive. ---> System.IO.IOException: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. ---> System.Net.Sockets.SocketException: An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Receive(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetrievedStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at dpdeploy.Program.HttpGetExpect200(String _uri)



Unable to decode the returned string from dpdeploy:System.Net.WebException: The underlying connection was closed: An unexpected error occurred on a receive. ---> System.IO.IOException: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. ---> System.Net.Sockets.SocketException: An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Receive(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetrievedStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at dpdeploy.Program.HttpGetExpect200(String _uri)



Error : Could not connect to device localhost:50443.  Please follow the setup guide (http://help.yoyogames.com/hc/en-us/articles/115001100548) and try again.
Igor complete.
-----------------------------------------------------------------------------
System.Exception: Error connecting to device localhost:50443.
   at ..(String[] )
-----------------------------------------------------------------------------
EXCEPTION FILE - C:\Users\scott.dunbar\AppData\Local\Temp\6981b055aadc4da4bb9364a067a5368f.yyg.saencryptedreport
-----------------------------------------------------------------------------
elapsed time 00:00:02.3219989s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.5.378/bin/Igor.exe" -j=8 -options="C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- WinUWP Run started at 03/16/2020 09:59:03
"cmd"  /c subst Z: /d

elapsed time 00:00:00.1160054s for command "cmd" /c subst Z: /d started at 03/16/2020 09:59:05
"cmd"  /c subst Y: /d

elapsed time 00:00:00.1199996s for command "cmd" /c subst Y: /d started at 03/16/2020 09:59:05
"cmd"  /c subst X: /d

elapsed time 00:00:00.1240006s for command "cmd" /c subst X: /d started at 03/16/2020 09:59:05
FAILED: Run Program Complete
For the details of why this build failed, please review the whole log above and also see your Compile Errors window.
DevicePortalAuth.txt (5,738 bytes)